package cn.rongcloud.imuat;

import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.media.Image;
import android.text.Spannable;
import android.text.SpannableString;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;

import androidx.appcompat.app.AlertDialog;

import com.bumptech.glide.Glide;
import com.bumptech.glide.load.resource.bitmap.CircleCrop;
import com.bumptech.glide.request.RequestOptions;

import java.util.List;
import java.util.Map;

import io.rong.imkit.activity.PicturePagerActivity;
import io.rong.imkit.base.adapter.ViewHolder;
import io.rong.imkit.conversation.extension.component.emoticon.AndroidEmoji;
import io.rong.imkit.conversation.messgelist.provider.BaseMessageItemProvider;
import io.rong.imkit.model.UiMessage;
import io.rong.imkit.widget.adapter.IViewProviderListener;
import io.rong.imlib.model.MessageContent;

public class CustomRedPacketMessageItemProvider extends BaseMessageItemProvider<CustomRedPacketMessage> {
    public CustomRedPacketMessageItemProvider() {
        mConfig.centerInHorizontal = true; // 配置展示属性，该消息居中显示。
    }
    /**
     * 根据自定义布局文件生成 ViewHolder
     */
    @Override
    protected io.rong.imkit.widget.adapter.ViewHolder onCreateMessageContentViewHolder(ViewGroup parent, int viewType) {
        View view =
                LayoutInflater.from(parent.getContext())
                        .inflate(R.layout.my_red_package_message, parent, false);
        return new io.rong.imkit.widget.adapter.ViewHolder(parent.getContext(), view);
    }

    @Override
    protected void bindMessageContentViewHolder(io.rong.imkit.widget.adapter.ViewHolder holder, io.rong.imkit.widget.adapter.ViewHolder parentHolder, CustomRedPacketMessage customRedPacketMessage, UiMessage uiMessage, int position, List<UiMessage> list, IViewProviderListener<UiMessage> listener) {
        Map<String, String> expansion = uiMessage.getMessage().getExpansion();
        final ImageView imageView = holder.getView(R.id.red_package);
        if (expansion!=null&&expansion.get("open")!=null&& expansion.get("open").equals("true")){
            Log.e("expansion","expansion------"+expansion.get("open"));
            imageView.setImageResource(R.drawable.img_8);

        }else {
            imageView.setImageResource(R.drawable.img_7);
        }
    }


    @Override
    protected boolean onItemClick(io.rong.imkit.widget.adapter.ViewHolder holder, CustomRedPacketMessage customRedPacketMessage, UiMessage uiMessage, int position, List<UiMessage> list, IViewProviderListener<UiMessage> listener) {
        return false;
    }

    @Override
    protected boolean isMessageViewType(MessageContent messageContent) {
        return messageContent instanceof CustomRedPacketMessage;
    }

    /**
     * 当该类型消息为会话最后一条消息时，需要在会话列表的会话里展示此消息的描述，该方法返回描述内容。
     * 此处以返回文本消息的具体内容为例。
     */
    @Override
    public Spannable getSummarySpannable(Context context, CustomRedPacketMessage textMessage) {
        return new SpannableString(AndroidEmoji.ensure(textMessage.getContent()));
    }
}